Subject: Re: Make gotcha
From: [email-masked] (Earnie Boyd)

18 Oct 1998 15:15:22 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked], [email-masked]

---Steve Biskis <[email-masked]> wrote:
>
> 
> If this is already commonly known just walk on by.
> 
> To me this was a revelation this morning:
> 
> You may NOT have a : in echo statements in your makefiles
> on the win32 platform.  Doesn't matter if the statement is within
> literals or not.  make (3.76.1) seems to think that : is part of a
rule
> no matter where it lies !!!  
> This is not the case with the Gnu make that ships with NeXTSTEP 3.3 
> or the make (3.74) of OpenSTEP 4.1.
> 
> In other words:
> 
> echo Including MASTER MAKE FILE: $(MASTER_MAKE)
> 
> Doesn't work on the win32 platform but cranks just fine on UNIX.
> (I haven't checked what the UNIX version of this newer 3.76.1 does
> but I'd be surprised if parsing intellegence would be lost going
forward
> so I'm more inclined to believe it got lost in the win32 port.)
> 
> I have a fairly complex make scheme that handles several
architectures and
> nests many layers (via include) deep - so until this one finally
slapped me
> in
> the face I'd been using the old OpenSTEP v4.1 make and sh until now -
> HURRAH !!!
> 
> 
> Hope this helps someone.
> 
> 
> da bisk
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

Hi Steve,

It makes since to me that the : would be interpreted by make as a
declarative if the echo command is not preceded by a tab character as
an action statement.

Please supply an small example make file demostrating your problem.

==
-                \\||//
-----------o0O0--Earnie--0O0o------------
--        [email-masked]        --
-- http://freeyellow.com/members5/gw32 --
--------------ooo0O--O0ooo---------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".